# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

- Defined in src/system/egg-data.ts:7

#####
Index

### Constructors

constructor

### Properties

eggMoveIndex
hatchWaves
id
isShiny
overrideHiddenAbility
sourceType
species
tier
timestamp
variantTier

### Methods

toEgg

## Constructors

### constructor

- new default(source): default

- #### Parameters

  - source: any

  #### Returns default

  - Defined in src/system/egg-data.ts:19

## Properties

### eggMoveIndex

eggMoveIndex: number

- Defined in src/system/egg-data.ts:16

### hatchWaves

hatchWaves: number

- Defined in src/system/egg-data.ts:11

### id

id: number

- Defined in src/system/egg-data.ts:8

### isShiny

isShiny: boolean

- Defined in src/system/egg-data.ts:14

### overrideHiddenAbility

overrideHiddenAbility: boolean

- Defined in src/system/egg-data.ts:17

### sourceType

sourceType: EggSourceType

- Defined in src/system/egg-data.ts:10

### species

species: Species

- Defined in src/system/egg-data.ts:15

### tier

tier: EggTier

- Defined in src/system/egg-data.ts:9

### timestamp

timestamp: number

- Defined in src/system/egg-data.ts:12

### variantTier

variantTier: VariantTier

- Defined in src/system/egg-data.ts:13

## Methods

### toEgg

- toEgg(): Egg

- #### Returns Egg

  - Defined in src/system/egg-data.ts:39